import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'
// 分页查询活动列表
export function getEntryActivities(data) {
  return request({
    url: api + '/tenantEntryActivities/queryPage',
    method: 'get',
    params: data
  })
}

// 新增、修改活动
export function getActivitieMerge(data) {
  return request({
    url: api + '/tenantEntryActivities/merge',
    method: 'post',
    data: data
  })
}

// 启用，停止
export function getActivitieUpdateDelFlag(data) {
  return request({
    url: api + '/tenantEntryActivities/updateDelFlag',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询单条活动
export function getActivitieQuery(data) {
  return request({
    url: api + '/tenantEntryActivities/query',
    method: 'get',
    params: data
  })
}
  